=== debian/changelog ===
opentracker (0.0~git20210823.110868e-3) unstable; urgency=medium

  * Fix wrong README.debian instructions (Closes: #1030042)
  * d/copyright: Update year
  * Update Standards-Version to 4.6.2 (no change)

 -- Agathe Porte <debian@microjoe.org>  Sat, 04 Feb 2023 08:31:50 +0100

opentracker (0.0~git20210823.110868e-2) unstable; urgency=medium

  * Upload for unstable
  * d/patches: add not-needed

 -- Agathe Porte <debian@microjoe.org>  Sat, 06 Aug 2022 14:11:53 +0200

opentracker (0.0~git20210823.110868e-1) experimental; urgency=low

  * Initial release (Closes: #685575)

 -- Agathe Porte <debian@microjoe.org>  Tue, 24 May 2022 15:45:05 +0200
