=== debian/control ===
Source: opentracker
Section: net
Priority: optional
Maintainer: Agathe Porte <debian@microjoe.org>
Build-Depends:
 debhelper-compat (= 13),
 libowfat-dev,
 zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://erdgeist.org/arts/software/opentracker/
Vcs-Browser: https://salsa.debian.org/gagath/opentracker
Vcs-Git: https://salsa.debian.org/gagath/opentracker.git
Rules-Requires-Root: no

Package: opentracker
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open and free bittorrent tracker
 opentracker is a open and free bittorrent tracker project. It aims for minimal
 resource usage and is intended to run on your wlan router
