=== debian/tests/control ===
Tests: testsuite
Depends:
 @,
 netcat-openbsd,
