## opentracker 0.0~git20240510.59c1c30

=== debian/changelog ===
opentracker (0.0~git20240510.59c1c30-2) unstable; urgency=medium

  * Use custom testsuite.sh
  * Revert "mv debian/NEWS{,.Debian}"

 -- Agathe Porte <gagath@debian.org>  Sun, 02 Jun 2024 18:02:40 +0200

opentracker (0.0~git20240510.59c1c30-1) unstable; urgency=medium

  * New upstream version 0.0~git20240510.59c1c30
  * Add missing dep to passwd for useradd in postinst
  * Fix upstream Makefile to create destdir
  * Drop separate opentracker-ipv6 package
  * Use upstream manpages
  * Fix upstream man pages warnings
  * Allow override of LIBOWFAT_HEADERS
  * Allow cross build
  * mv debian/NEWS{,.Debian}

 -- Agathe Porte <gagath@debian.org>  Sun, 26 May 2024 11:24:43 +0200

opentracker (0.0~git20210823.110868e-9) unstable; urgency=medium

  [ Agathe Porte ]
  * Update copyright year

  [ Bastian Germann ]
  * Hand over changed LIBOWFAT_HEADERS (Closes: #1068449)

 -- Agathe Porte <gagath@debian.org>  Mon, 08 Apr 2024 08:43:42 +0200

opentracker (0.0~git20210823.110868e-8) unstable; urgency=medium

  * rules: replace failing rmdir with rm -rf
  * introduce debian/NEWS

 -- Agathe Porte <gagath@debian.org>  Sun, 10 Dec 2023 13:44:53 +0100

opentracker (0.0~git20210823.110868e-7) unstable; urgency=medium

  * Upload to unstable

 -- Agathe Porte <gagath@debian.org>  Mon, 20 Nov 2023 10:24:54 +0100

opentracker (0.0~git20210823.110868e-6) experimental; urgency=medium

  * Update maintainer address
  * Support ExecReload with SIGHUP (closes: #1053720)
  * Use two separate configuration files (closes: #1053721)
  * Remove empty usr/bin in opentracker-common

 -- Agathe Porte <gagath@debian.org>  Thu, 26 Oct 2023 10:41:36 +0200

opentracker (0.0~git20210823.110868e-5) experimental; urgency=medium

  * Revert "d/rules: delete sporious /usr/bin in -common package again"

 -- Agathe Porte <gagath@debian.org>  Tue, 23 May 2023 19:16:10 +0200

opentracker (0.0~git20210823.110868e-4) experimental; urgency=medium

  * Introduce opentracker-ipv6 and opentracker-common binpkgs
  * opentracker-common Breaks+Replaces previous opentracker release
  * Do not strip after build to get dbgsym packages

 -- Agathe Porte <gagath@debian.org>  Tue, 23 May 2023 18:10:05 +0200
