=== debian/control ===
Source: opentracker
Section: net
Priority: optional
Maintainer: Agathe Porte <gagath@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libowfat-dev,
 zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://erdgeist.org/arts/software/opentracker/
Vcs-Browser: https://salsa.debian.org/gagath/opentracker
Vcs-Git: https://salsa.debian.org/gagath/opentracker.git
Rules-Requires-Root: no

Package: opentracker-common
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 passwd,
 ${misc:Depends},
Description: Open and free bittorrent tracker (common files)
 opentracker is a open and free bittorrent tracker project. It aims for minimal
 resource usage and is intended to run on your wlan router.
 .
 This package contains the common files for opentracker.
Breaks:
 opentracker (<< 0.0~git20210823.110868e-5),
Replaces:
 opentracker (<< 0.0~git20210823.110868e-4),

Package: opentracker
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 opentracker-common,
Description: Open and free bittorrent tracker
 opentracker is a open and free bittorrent tracker project. It aims for minimal
 resource usage and is intended to run on your wlan router.
 .
 This package contains the default configuration binary supporting both
 IPv4 and IPv6 stacks.
Breaks:
 opentracker-common (<< 0.0~git20210823.110868e-5),
 opentracker-ipv6 (<< 0.0~git20240510.59c1c30-1),
Replaces:
 opentracker-common (<< 0.0~git20210823.110868e-5),
 opentracker-ipv6 (<< 0.0~git20240510.59c1c30-1),
