## opentracker 0.0~git20240622.c854b3d

=== debian/changelog ===
opentracker (0.0~git20240622.c854b3d-2) unstable; urgency=medium

  * Source-only upload to fix uploader

 -- Agathe Porte <gagath@debian.org>  Wed, 07 Aug 2024 21:22:30 +0900

opentracker (0.0~git20240622.c854b3d-1) unstable; urgency=medium

  * New upstream version 0.0~git20240622.c854b3d
  * Rebase patches
  * Moved project to debian salsa namespace

 -- Agathe Porte <agathe.porte@canonical.com>  Wed, 07 Aug 2024 02:33:41 +0900

opentracker (0.0~git20240510.59c1c30-4) unstable; urgency=medium

  * Fix wrong Breaks+Replaces for manpage move

 -- Agathe Porte <gagath@debian.org>  Sat, 22 Jun 2024 12:01:18 +0200

opentracker (0.0~git20240510.59c1c30-3) unstable; urgency=medium

  * Move man1/opentracker.1 to opentracker binpkg
  * Update Standards-Version to 4.7.0 (no changes needed)

 -- Agathe Porte <gagath@debian.org>  Sat, 22 Jun 2024 11:39:20 +0200
