=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  debhelper-compat (= 13),
  libowfat-dev,
  zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://erdgeist.org/arts/software/opentracker/
-Vcs-Browser: https://salsa.debian.org/gagath/opentracker
-Vcs-Git: https://salsa.debian.org/gagath/opentracker.git
+Vcs-Browser: https://salsa.debian.org/debian/opentracker
+Vcs-Git: https://salsa.debian.org/debian/opentracker.git
 Rules-Requires-Root: no
 
 Package: opentracker-common
@@ -42,8 +42,8 @@
  This package contains the default configuration binary supporting both
  IPv4 and IPv6 stacks.
 Breaks:
- opentracker-common (<< 0.0~git20210823.110868e-5),
+ opentracker-common (<< 0.0~git20240510.59c1c30-3),
  opentracker-ipv6 (<< 0.0~git20240510.59c1c30-1),
 Replaces:
- opentracker-common (<< 0.0~git20210823.110868e-5),
+ opentracker-common (<< 0.0~git20240510.59c1c30-3),
  opentracker-ipv6 (<< 0.0~git20240510.59c1c30-1),
