=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,9 @@
 # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  += -Wall -pedantic
 
-#FEATURES+=-DWANT_V6
 #FEATURES+=-DWANT_ACCESSLIST_BLACK
 FEATURES+=-DWANT_ACCESSLIST_WHITE
 #FEATURES+=-DWANT_IP_FROM_QUERY_STRING
-FEATURES+=-DWANT_COMPRESSION_GZIP
 #FEATURES+=-DWANT_IP_FROM_PROXY
 #FEATURES+=-DWANT_LOG_NUMWANT -DWANT_MODEST_FULLSCRAPES
 #FEATURES+=-DWANT_SPOT_WOODPECKER
@@ -27,11 +25,31 @@
 #FEATURES+=-DWANT_DEV_RANDOM
 FEATURES+=-DWANT_RESTRICT_STATS
 
+# You need libowfat version 0.34 to allow for automatic release of chunks during
+# full scrape transfer, if you rely on an older versions, enable this flag
+FEATURES+=-DWANT_NO_AUTO_FREE
+
 export FEATURES
-export LIBOWFAT_HEADERS=/usr/include
 export LIBOWFAT_LIBRARY=/usr/lib
+export LIBOWFAT_HEADERS=/usr/include/libowfat
 export PREFIX=/usr
+
+ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+  STRIP = :
+else
+  ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+    STRIP = $(DEB_HOST_GNU_TYPE)-strip
+  else
+    STRIP = strip
+  endif
+endif
+export STRIP
 
 # main packaging script based on dh7 syntax
 %:
 	dh $@
+
+override_dh_auto_install:
+	dh_auto_install
+
+	rm -rf debian/opentracker-common/usr/bin/
