=== debian/changelog ===
opentracker (1.0+git20250425.b20b0b8-1) unstable; urgency=medium

  * New upstream version 1.0+git20250425.b20b0b8
  * Update Standards-Version to 4.7.2 (no changes needed)
  * d/control: drop now implicit Rules-Requires-Root=no
  * Use libowfat 0.34
  * Resync opentracker.conf from upstream sample
  * Enable dynamic accesslist in /var/run/opentracker/
  * opentracker.service: drop mention of IPv4 only

 -- Agathe Porte <gagath@debian.org>  Fri, 10 Oct 2025 16:34:28 +0200
