=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Agathe Porte <gagath@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- libowfat-dev,
+ libowfat-dev (>= 0.34-2),
  zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://erdgeist.org/arts/software/opentracker/
 Vcs-Browser: https://salsa.debian.org/debian/opentracker
 Vcs-Git: https://salsa.debian.org/debian/opentracker.git
-Rules-Requires-Root: no
 
 Package: opentracker-common
 Architecture: all
