=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 
 #FEATURES+=-DWANT_ACCESSLIST_BLACK
 FEATURES+=-DWANT_ACCESSLIST_WHITE
+FEATURES+=-DWANT_DYNAMIC_ACCESSLIST
 #FEATURES+=-DWANT_IP_FROM_QUERY_STRING
 #FEATURES+=-DWANT_IP_FROM_PROXY
 #FEATURES+=-DWANT_LOG_NUMWANT -DWANT_MODEST_FULLSCRAPES
@@ -24,10 +25,6 @@
 FEATURES+=-DWANT_SYSLOGS
 #FEATURES+=-DWANT_DEV_RANDOM
 FEATURES+=-DWANT_RESTRICT_STATS
-
-# You need libowfat version 0.34 to allow for automatic release of chunks during
-# full scrape transfer, if you rely on an older versions, enable this flag
-FEATURES+=-DWANT_NO_AUTO_FREE
 
 export FEATURES
 export LIBOWFAT_LIBRARY=/usr/lib
