=== debian/tests/control ===
Tests: testsuite
Depends:
 @,
 curl,
