=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none, pretty=1.0+git%cd.%h, repack, compression=xz" \
    https://erdgeist.org/gitweb/opentracker \
    HEAD
